al_destroy_display(3)

NAME

al_destroy_display - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_destroy_display(ALLEGRO_DISPLAY *display)

DESCRIPTION

Destroy a display.

If the target bitmap of the calling thread is tied to the display, then it implies a call to "al_set_target_bitmap(NULL);" before the display is destroyed.

That special case notwithstanding, you should make sure no threads are currently targeting a bitmap which is tied to the display before you destroy it.

SEE ALSO

al_set_target_bitmap(3)